| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# gaudirun Namespace Reference

## Functions
def | option_cb
## Variables
tuple | parser = OptionParser(usage = "%prog [options] <opts_file> ...")
string | help = "do not run the application, just parse option files"
string | metavar = "FILE"
string | type = "string"
string | dest = "post_options"
| level = logging.INFO
tuple | root_logger = logging.getLogger()
tuple | c = gaudimain()
list | options = [ "importOptions(%r)" % f for f in args ]
tuple | optlines = list(opts.options)
dictionary | g = {}
dictionary | l = {}

## Function Documentation

def gaudirun::option_cb | ( |  | option,
|  |  | opt,
|  |  | value,
|  |  | parser |
| ) |  |  |

    Add the option line to a list together with its position in the
    argument list.

Definition at line 21 of file gaudirun.py.

    00021                                              :
    00022         """Add the option line to a list together with its position in the
    00023         argument list.
    00024         """
    00025         parser.values.options.append((len(parser.largs), value))
    00026     parser.add_option("--option", action="callback", callback=option_cb,
                          type = "string", nargs = 1,

## Variable Documentation

tuple gaudirun::c = gaudimain()

Definition at line 75 of file gaudirun.py.

string gaudirun::dest = "post_options"

Definition at line 42 of file gaudirun.py.

dictionary gaudirun::g = {}

Definition at line 90 of file gaudirun.py.

string gaudirun::help = "do not run the application, just parse option files"

Definition at line 9 of file gaudirun.py.

dictionary gaudirun::l = {}

Definition at line 91 of file gaudirun.py.

gaudirun::level = logging.INFO

Definition at line 60 of file gaudirun.py.

string gaudirun::metavar = "FILE"

Definition at line 11 of file gaudirun.py.

list gaudirun::options = [ "importOptions(%r)" % f for f in args ]

Definition at line 80 of file gaudirun.py.

tuple gaudirun::optlines = list(opts.options)

Definition at line 83 of file gaudirun.py.

tuple gaudirun::parser = OptionParser(usage = "%prog [options] <opts_file> ...")

Definition at line 7 of file gaudirun.py.

tuple gaudirun::root_logger = logging.getLogger()

Definition at line 64 of file gaudirun.py.

string gaudirun::type = "string"

Definition at line 27 of file gaudirun.py.